Subject: Re: Chinese Star

From: "L.S.Ng" <[email-masked]>
Date: Wed, 26 Jan 1994 14:41:49 GMT

1. This is both good and bad news for Hongbo.

I use NJSTAR v2.1 for editing my document.  Then I use a script command
to format it.  Then I use CStar to print it out.

In this way, I am getting the best out of each of these packages.

2. The copy of Chinese Star I use does not have the donggle. (BTW, I do
not own that copy, it is my friend's). It has 4 outline Jianti font and
1 very poor Fanti Font.

3. In the documentation it says the copy with a donggle has 12 outline
Jianti fonts and 12 outline Fanti fonts.

4.  The printing and scrolling of Chinese Star is slow because the
software is badly designed.  It doesn't keep the font in a cache memory
(i.e.  it doesn't maintain a font buffer).  So it has to read the font
data from hard disk, and compute the bitmap from the outline font for
each and every character in the document.  Hence, the worst of the worst
come together - disk intensive and CPU intensive.  I think Hu Bo will
agree with me.  Speed can be enhanced if it maintain a buffer of the
bitmap of the fonts.

5.  The documentation of Chinese Star is poor.  Although it says it has
a open architecture on fonts and input method, but it does not give a
single hint on how they are like, i.e.  the specifications of the fonts
format and input method file format are not given.  I always want to
port my own enhanced Jianti Cangjie (now used in CXTERM and NJSTAR) to
it but the documenation doesn't spell out the format that I should
follow.
   Only User Guide is provided. There is not such thing as Technical
Reference. Despite what it says in the Introduction - something like the
ideal platform for Chinese Software development - the poor documentation
and support itself defeats its purpose.

I hope to hear some feedback from the authority especially concerning
point 4 & 5.

Sincerely,
Liangsheng WU